Vraag & Antwoord

OS Linux

SUSE 8.1 Hotmail halen

Anoniem
None
27 antwoorden
  • Ik heb graag al mijn e-mail verzameld in één programma incl Hotmail. Met Squirrelmail schijnt dat te kunnen, maar daarvoor schijn je PERL nodig te hebben. Makkelijk zat (dacht ik) Even Yast starten PERL opzoeken en installeren. En jawel, zo'n 56 PERL entries. Een beetje overdreven om allemaal te installeren lijkte me. Kan iemand me vertellen welke ik nodig heb? Verder heb ik last van een klein schoonheidsfoutje op mijn bureaublad. Mijn cd-recorder wordt aangegeven als cd-rom2, terwijl hij In een vroegere installatie wél aangegeven werd als cd-recorder (en zelfs met een ander ikoontje). Hoe kan ik dat veranderen en waar vind ik het bijpassend ikoontje? Alle hulp is zéér welkom en wordt in dank aanvaard!
  • 1: gewoon perl waar verder niets achterstaat waarschijnlijk, de base package dus

    2: rechtermuisknop op het ikoontje/ hernoemen naar cdrecorder
    dan rechtermuisknop/ eigenschappen op het ikoontje klikken in het venster en bij apparaten de goede zoeken
  • Bedankt, inderdaad wat er het meest op lijkt is de perl interpreter en die is al geïnstalleerd dus ik hoop dat dat genoeg is. voor wat het ikoontje betreft was ik al aan het experimenteren geslagen hetgeen erin resulteerde dat ik in één vloeiende beweging een nieuw ikoonje tevoorschijn toverde en zowel de 1 als 2 daarmee verving. Ik heb dus weer een nieuw cd-rom ikoontje gemaakt. Is dat voldoende (ik heb ook rechts geklikt en aangegeven dat het een cd-rom is) of moet er nog meer gebeuren? (ln -sf etc)
  • Om Hotmail op te halen is er ook een programmatje Gotmail.

    Dat haalt je mail op en levert dat gewoon lokaal af. Je hoeft dus niet perse Squirrelmail te installeren. Squirrelmail is een webmail-interface. Je benadert al je locale mail dus via een browser.
  • [quote:376daf20e3="LennartII"]Bedankt, inderdaad wat er het meest op lijkt is de perl interpreter en die is al geïnstalleerd dus ik hoop dat dat genoeg is. voor wat het ikoontje betreft was ik al aan het experimenteren geslagen hetgeen erin resulteerde dat ik in één vloeiende beweging een nieuw ikoonje tevoorschijn toverde en zowel de 1 als 2 daarmee verving. Ik heb dus weer een nieuw cd-rom ikoontje gemaakt. Is dat voldoende (ik heb ook rechts geklikt en aangegeven dat het een cd-rom is) of moet er nog meer gebeuren? (ln -sf etc)[/quote:376daf20e3]

    neen, het enige wat echt van belang is, is dat het juiste apparaat gekozen is, en de juiste map om deze aan te koppelen.
    Mocht het dus niet goed gaan, kijk even of het apparaat dat wordt aangekoppeld de juiste is.
    Dat kun je uitvogelen door het bestand /etc/fstab even door te nemen, daar staan al je aparaten, en de map waaraan deze gekoppeld worden.

    Max
  • Maximilaan en Marcel, bedankt voor de hulp, de knoppen werken weer. Éen van de problemen was dat K3b hing iedere keer als ik in het programma op de lezer klikte. In k3b werden lezer en schrijver vermeld als sg0 en sg1. In hwinfo werden ze vermeld als sr0 en sr1. Ik heb één keer ln -sf met resp sg0 en sg1 gedaan en daarna nog een keer hetzelfde met sr0 en sr1. Nu hangt ie niet meer en geeft aan dat de lezer op sr0 zit en de schrijver op sg1. Vind ik prima als het maar werkt. Echter ik krijg nu de info dat mijn lezer (LG) een LG HP is, een samenvoeging dus van lezer en schrijver. Ook dat stoort me niet, als het maar werkt, maar ik vind het wel vreemd.

    WbStolk ook vriendelijk bedankt voor de hulp. Het probleem blijft echter bestaan; ook Gotmail heeft perl nodig. En bovendien curl. Niet moeilijk dacht ik even installeren met Yast. echter, beiden zijn al geïnstalleerd. Hoe dan ook probeer ik gotmail te installeren zegt ie dat ie perl en van alles en nog wat nodig heeft, (wordt netjes gespecificeerd maar ik vind het niet in Yast) installer ik curl dan heeft die weer van alles en nog wat nodig en zo blijf ik bezig. Ik leg het hele projekt dus voorlopig neer want ik word er echt gestoord van.
  • Correctie: Wbstolk mz Wbsoft. Sorry.
  • [quote:3aaf771a66="LennartII"]ook Gotmail heeft perl nodig. En bovendien curl. Niet moeilijk dacht ik even installeren met Yast. echter, beiden zijn al geïnstalleerd. Hoe dan ook probeer ik gotmail te installeren zegt ie dat ie perl en van alles en nog wat nodig heeft, (wordt netjes gespecificeerd maar ik vind het niet in Yast) installer ik curl dan heeft die weer van alles en nog wat nodig en zo blijf ik bezig. Ik leg het hele projekt dus voorlopig neer want ik word er echt gestoord van.[/quote:3aaf771a66]Ja dit is dus RPM hell: eigenlijk net zo erg als DLL hell onder Windows was.

    Maar volgens mij valt het nog wel mee.

    Perl moet inderdaad gewoon aanwezig zijn. Het is net zo standaard onder Linux als Notepad dat is onder Windows :-)

    Dus installeer curl maar eens (moet gewoon bij je distro zitten!) en post in dit forum ajb precies wat voor problemen je tegen komt.
    Daardoor zul je waarschijnlijk snel erachter komen wat de beste gaat, en ondertussen leer je weer heel wat bij!
  • Wbsoft. Bedankt voor de hulp en bemoediging. Komt zéééér goed van pas. Als ik curl opzoek in Yast dan vind ik dat curl al ge"nstalleerd is, versie 7.9.8-50. Wat niet geïnstalleerd is is curl devel, maar ik geloof niet dat ik dat nodig zal hebben. Als ik perl opzoek dan zie ik dat pcre, perl, perl gettxt, perl-snmp en perl-tk, geïnstalleerd zijn.
    Als ik probeer hotmail te installeren, versie-0.7.3-1.i386.rpm, dan krijg ik de volgende kreten:
    -gotmail vereist:
    Perl (English)
    perl (Filehandle)
    perl (net smtp)
    perl (Posix)
    perl (strict)
    perl (URI escape)
    en daarna heb ik bij ieder onderdeel de keus om
    -niet te installeren
    -te installeren met alle gevolgen vandien.

    Waarom installeert ie het niet gewoon? Hij weet wat ik nodig heb, hij weet waar ie het kan vinden dus waarom niet gewoon halen? Lamaar, ik weet het er zullen ongetwijfeld 700 verschillende, zeer acceptabele redenen zijn waarom het niet kan, het irriteert me gewoon.
    Hulp blijft bijzonder welkom.
  • Ik moet zeggen, ik heb niet erg veel ervaring met Perl en Perl stuff, maar Gotmail heeft kennelijk deze modules nodig om te kunnen functioneren.

    Deze perl modules zijn zegmaar extensies voor Perl, een (overigens leuke) programmeertaal (waarin Gotmail is geschreven), die té specialistisch zijn om altijd maar standaard met Perl te installeren, maar ook weer niet specifiek genoeg om alleen maar in gotmail te zitten. Vaak worden deze modules door allerlei verschillende programma's gebruikt.

    Ik zou zeggen: probeer binnen de distributie te zoeken naar deze perl modules, zoveel mogelijk. Je kunt ook eens kijken op je systeem in /usr/lib/perl5/ om te zien wat er al geïnstalleerd is. Bij mij zijn English, strict, en FileHandle in elk geval aanwezig (default Perl5 installatie).

    De modules die je niet kunt vinden zul je dan buiten je distro moeten na-installeren, dat kan natuurlijk prima (ik heb jaren lang mijn hele Linux-OS handmatig in elkaar geflanst, en dat is niet eens HEEL erg moeilijk). Neem daarvoor een kijkje op het Comprehensive Perl Archive Network ( http://www.cpan.org/ zoeken op http://search.cpan.org/ ).

    Maar als ik dat lijstje modules dat jij postte zo bekijk, gok ik erop dat al die modules bij SuSE 8.1 moeten zitten.

    Wees er uiteraard ook zeker van dat je goed de README en INSTALL enz files van Gotmail doorleest! Vaak wel bruikbare info in te vinden.
    Succes,
  • Vond de volgende informatie:
    There are some packages that need to be installed before you can get GotMail up and running. First of all, you need to make sure you've got a recent perl-compiler (minimum Perl 5). You can check this with

    perl -v

    Next, you need to install Curl-SSL version 6.5.2 or later. This package exists as RPM and also requires OpenSSL. You can download both from SpeakEasy.

    ftp://speakeasy.rpmfind.net/linux/freshmeat/curl/curl-ssl-6.5.2-1.i386.rpm
    ftp://speakeasy.rpmfind.net/linux/redhat/7.1/en/os/i386/RedHat/RPMS//openssl095a-0.9.5a-1.i386.rpm

    Installation of these packages is straightforward :

    RPM -Uvh curl-ssl-6.5.2-1.i386.rm openssl095a-0.9.5a-1.i386.rpm

    The last thing you need is the URI-CSPAN-module (an extra perl-module). This can be downloaded from http://www.cpan.org/authors/id/G/GA/GAAS/

    Untar this package and move it to the newly created directory

    tar zxvf URI-1.12.tar.gz
    cd URI-1.2

    Now, install this module.

    perl Makefile.PL
    make
    make test
    make install

    Alles ging goed tot het laatste gedeelte. Makefile.PL ging goed, maar dan:

    h186n2fls33o888:~/URI-1.22 # perl Makefile.PL
    Checking if your kit is complete…
    Looks good
    Writing Makefile for URI
    h186n2fls33o888:~/URI-1.22 # make
    bash: make: command not found
    h186n2fls33o888:~/URI-1.22 # make test
    bash: make: command not found
    h186n2fls33o888:~/URI-1.22 # make install
    bash: make: command not found
    h186n2fls33o888:~/URI-1.22 #

    Minder goed dus. Waar zit het foutje?
  • Dat make niet geinstalleerd is, make kun je installeren via yast. :roll:
  • Bedankt Jolo, dat werkt nu in ieder geval. Gotmail echter nog steeds niet. Zeurt nmog steeds over dezelfde perl toestanden.
  • je hebt make geïnstalleerd en nu lukte het installeren van die URI-CPAN module wel?

    wat is daarna de output die je krijgt als je Gotmail probeert te installeren? Als je dat net zo precies post als net het installeren van die URI-CPAN module komen we er wel uit: kortom: wat zijn de commando's die je gebruikte en wat voor output gaven die te zien?
  • Nou ik heb Gotmail ook even gedownload, en het heeft niet eens een installatieprocedure :) je moet zelf het Perl script [b:adf9338d07]gotmail[/b:adf9338d07] in /usr/local/bin/ plaatsen, en de manpage [b:adf9338d07]gotmail.1[/b:adf9338d07] in /usr/local/man/man1/.

    De foutmeldingen komen dus als je Gotmail wilt starten. Welke foutmeldingen krijg je dus?, dat is wel belangrijk om het verder op te kunnen lossen.
  • (overigens zit die URI-CPAN module denk ik ook wel bij SuSE, het maakt niet zoveel uit hoe je hem installeert, maar ik zou altijd zo veel mogelijk bij de distro blijven. Die module heet in SuSE misschien liburi-perl.)
  • [quote:8946ef1325="LennartII"] Als ik probeer hotmail te installeren, versie-0.7.3-1.i386.rpm, dan krijg ik de volgende kreten:
    -gotmail vereist:
    Perl (English)
    perl (Filehandle)
    perl (net smtp)
    perl (Posix)
    perl (strict)
    perl (URI escape)
    [/quote:8946ef1325]
    Je bedoelt zeker die Redhat gotmail rpm
    In Redhat 8.0 installeert die rpm wel.
    [code:1:8946ef1325]
    [root@node1048e Documents]# rpm -ivh gotmail-0.7.3-1.i386.rpm
    Preparing… ########################################### [100%]
    warning: user paul does not exist - using root
    warning: group paul does not exist - using root
    1:gotmail ##########################################
    [/code:1:8946ef1325]
    Bij mij in SuSE 8.1 installeert Squirrelmail wel. (Vanaf SuSE 8.1 DVD) :roll:
  • Jolo, bedankt voor de tip; maar ik zit hier met Suse 8.1. Squirrelmail heb ik laten varen sinds ik las dat dat een webmailprogramma is en dat heb ik niet nodig. Ik wil dat mijn hotmail gehaald wordt.
    Wbsoft, bedankt, ik heb een rpm neergeladen. Wil dat zeggen dat ik iets anders moet hebben, of kan ik dat perl script uit de rpm plukken?. Zo ja hoe ziet het eruit/hoe heet het???
  • wbsoft, sorry, slecht gelezen ik zie dat het gotmail heet, maar waar haal ik het vandaan?
  • over het algemeen, als je een programma zoekt: ga dan naar http://freshmeat.net/ en tiep daar de naam in in het Search vakje en druk dan op Enter.
    Vind je dan niks (kleine kans): gebruik dan de Try Google link die op de result pagina van freshmeat staat. De kans dat je dan nog niet de homepage hebt is erg klein.
    De meeste browsers onder Linux ondersteunen ook nog snel-zoek mogelijkheden: tiep in Konqueror maar eens "fm: gotmail" of "gg: gotmail". Ook in Mozilla is zoiets mogelijk (weet niet of het in de default bookmarks zit): "fm mozilla" of "go gotmail".
    Anyway: de homepage van Gotmail is: http://ssl.usu.edu/paul/gotmail/

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.